/* *****************************************************************************
 *
 * Filename: DateableSelectionEvent.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  18 December 2002, 15:14
 *
 * Purpose:  Event emitted by DateablePanel.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker.beans;

import java.awt.Component;
import java.io.File;

/**
 *
 * @author  Robert
 */
public class DateableSelectionEvent
    extends java.util.EventObject
{
    public static final int SELECTION_CHANGED = 0;
    public static final int IMPORT_TEMPLATE   = 1;
    public static final int DOUBLE_CLICKED    = 2;
    
    private int _kind;
    private Component _c;
    private File _file;
    
    public DateableSelectionEvent( Object source, Component c, int k )
    {
        super( source );
        _c = c;
        _kind = k;
    }

    public DateableSelectionEvent( Object source, File f )
    {
        super( source );
        _file = f;
        _kind = IMPORT_TEMPLATE;
    }

    public Component getComponent()  { return _c; }

    public File getFile()  { return _file; }
    
    public int getKind()  { return _kind; }
}
